package vip.xiaonuo.biz.modular.bizorder.param;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.HeadStyle;
import com.alibaba.excel.enums.poi.FillPatternTypeEnum;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

@Data
public class BizOrderExportResult {
    /** 订单编号 */
    @HeadStyle(fillPatternType = FillPatternTypeEnum.SOLID_FOREGROUND, fillForegroundColor = 120)
    @ExcelProperty({"订单报表", "订单编号"})
    private String orderNumber;

    /** 订单名称 */
    @HeadStyle(fillPatternType = FillPatternTypeEnum.SOLID_FOREGROUND, fillForegroundColor = 120)
    @ExcelProperty({"订单报表", "订单名称"})
    private String orderName;

    /** 客户名称 */
    @HeadStyle(fillPatternType = FillPatternTypeEnum.SOLID_FOREGROUND, fillForegroundColor = 120)
    @ExcelProperty({"订单报表", "客户名称"})
    private String customerName;

    /** 货品名称*/
    @HeadStyle(fillPatternType = FillPatternTypeEnum.SOLID_FOREGROUND, fillForegroundColor = 120)
    @ExcelProperty({"订单报表", "货品名称"})
    private String goodsName;

    /** 订单来源（1：oa推送   2：手动新增） */
   /* @HeadStyle(fillPatternType = FillPatternTypeEnum.SOLID_FOREGROUND, fillForegroundColor = 120)
    @ExcelProperty({"订单报表", "订单来源"})
    private String orderSourceName;*/

    @HeadStyle(fillPatternType = FillPatternTypeEnum.SOLID_FOREGROUND, fillForegroundColor = 120)
    @ExcelProperty({"订单报表", "提货开始时间"})
    private Date confStartTime;

    @HeadStyle(fillPatternType = FillPatternTypeEnum.SOLID_FOREGROUND, fillForegroundColor = 120)
    @ExcelProperty({"订单报表", "提货结束时间"})
    private Date confEndTime;

    /** 订单状态（1：正常  2：终止） */
    @HeadStyle(fillPatternType = FillPatternTypeEnum.SOLID_FOREGROUND, fillForegroundColor = 120)
    @ExcelProperty({"订单报表", "订单状态"})
    private String orderStatusName;

    /** 订单重量 */
    @HeadStyle(fillPatternType = FillPatternTypeEnum.SOLID_FOREGROUND, fillForegroundColor = 120)
    @ExcelProperty({"订单报表", "订单重量(吨)"})
    private BigDecimal orderWeight;

    /** 过磅重量 */
    @HeadStyle(fillPatternType = FillPatternTypeEnum.SOLID_FOREGROUND, fillForegroundColor = 120)
    @ExcelProperty({"订单报表", "过磅重量(吨)"})
    private BigDecimal netWeight;
}
