/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package vip.xiaonuo.biz.modular.bizsaleorder.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import vip.xiaonuo.biz.modular.bizsaleorder.entity.BizSaleOrder;
import vip.xiaonuo.biz.modular.bizsaleorder.param.BizSaleOrderAddParam;
import vip.xiaonuo.biz.modular.bizsaleorder.param.BizSaleOrderEditParam;
import vip.xiaonuo.biz.modular.bizsaleorder.param.BizSaleOrderIdParam;
import vip.xiaonuo.biz.modular.bizsaleorder.param.BizSaleOrderPageParam;

import java.util.List;

/**
 * 销售订单Service接口
 *
 * @author fanzherong
 * @date  2025/04/10 09:31
 **/
public interface BizSaleOrderService extends IService<BizSaleOrder> {

    /**
     * 获取销售订单分页
     *
     * @author fanzherong
     * @date  2025/04/10 09:31
     */
    Page<BizSaleOrder> page(BizSaleOrderPageParam bizSaleOrderPageParam);

    /**
     * 添加销售订单
     *
     * @author fanzherong
     * @date  2025/04/10 09:31
     */
    void add(BizSaleOrderAddParam bizSaleOrderAddParam);

    /**
     * 编辑销售订单
     *
     * @author fanzherong
     * @date  2025/04/10 09:31
     */
    void edit(BizSaleOrderEditParam bizSaleOrderEditParam);

    /**
     * 删除销售订单
     *
     * @author fanzherong
     * @date  2025/04/10 09:31
     */
    void delete(List<BizSaleOrderIdParam> bizSaleOrderIdParamList);

    /**
     * 获取销售订单详情
     *
     * @author fanzherong
     * @date  2025/04/10 09:31
     */
    BizSaleOrder detail(BizSaleOrderIdParam bizSaleOrderIdParam);

    /**
     * 获取销售订单详情
     *
     * @author fanzherong
     * @date  2025/04/10 09:31
     **/
    BizSaleOrder queryEntity(String id);

    /**根据客户id查询销售订单信息*/
    List<BizSaleOrder> queryByCustomerId(BizSaleOrderIdParam bizSaleOrderIdParam);

    BizSaleOrder detailById(BizSaleOrderIdParam bizSaleOrderIdParam);
}
