/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package vip.xiaonuo.biz.modular.goodsConf.entity;

import com.baomidou.mybatisplus.annotation.*;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Getter;
import lombok.Setter;
import vip.xiaonuo.common.pojo.CommonEntity;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 提货时间配置表实体
 *
 * @author sandy
 * @date  2025/03/27 10:54
 **/
@Getter
@Setter
@TableName("biz_goods_conf")
public class BizGoodsConf extends CommonEntity {

    /** 主键 */
    @TableId
    @Schema(description = "主键")
    private String id;

    /** 货物id */
    @Schema(description = "货物id")
    private String goodsId;

    /** 货品编码 */
    @Schema(description = "货品编码")
    private String goodsCode;

    /** 货品名称 */
    @Schema(description = "货品名称")
    private String goodsName;

    /** 货品规格 */
    @Schema(description = "货品规格")
    private String goodsModel;

    /** 提货开始时间 */
    @Schema(description = "提货开始时间")
    private Date confStartTime;

    /** 提货结束时间 */
    @Schema(description = "提货结束时间")
    private Date confEndTime;

    /** 可提重量（KG） */
    @Schema(description = "可提重量（KG）")
    private BigDecimal confWeight;

    /** 已提重量（KG） */
    @Schema(description = "已提重量（KG）")
    private BigDecimal usedWeight;

    /** 剩余提货重量（KG） */
    @Schema(description = "剩余提货重量（KG）")
    private BigDecimal lastWeight;



}
