/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package vip.xiaonuo.biz.modular.record.param;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Getter;
import lombok.Setter;

/**
 * 过磅记录查询参数
 *
 * @author 徐超
 * @date  2024/08/01 15:48
 **/
@Getter
@Setter
public class BizRecordExportParam {

    /** 关键词 */
    @Schema(description = "关键词")
    private String searchKey;

    /** 车牌号码 */
    @Schema(description = "车牌号码")
    private String licensePlate;

    /** 车次编码 */
    @Schema(description = "车次编码")
    private String carNumber;

    /** 货品名称 */
    @Schema(description = "货品名称")
    private String goodsName;

    /** 规格型号 */
    @Schema(description = "规格型号")
    private String goodsModel;

    /** 收货单位 */
    @Schema(description = "收货单位")
    private String receiptCompany;

    /** 发货单位 */
    @Schema(description = "发货单位")
    private String shippingCompany;


    /** 运输单位 */
    @Schema(description = "运输单位")
    private String transportCompany;

    /** 司机姓名 */
    @Schema(description = "司机姓名")
    private String driverName;

    /** 司机电话 */
    @Schema(description = "司机电话")
    private String driverMobile;
    /** 过毛时间开始 */
    @Schema(description = "过毛时间开始")
    private String startGrossTime;

    /** 过毛时间结束 */
    @Schema(description = "过毛时间结束")
    private String endGrossTime;

    /** 过皮时间开始 */
    @Schema(description = "过皮时间开始")
    private String startTareTime;

    /** 过皮时间结束 */
    @Schema(description = "过皮时间结束")
    private String endTareTime;

    /** 合同编号 */
    @Schema(description = "合同编号")
    private String contractCode;

    /** 合同名称 */
    @Schema(description = "合同名称")
    private String contractName;
}
